import '../../stencil.core';
import { MenuItem } from './interfaces/menuItem';
export declare class Navbar {
    innerMenuItems: Array<MenuItem>;
    menuIcon: HTMLElement;
    overlayMenu: HTMLElement;
    desktopMenu: HTMLElement;
    mobileMenu: HTMLElement;
    navElement: HTMLElement;
    menuItems: string;
    itemCount: number;
    logo: string;
    position: string;
    private lastScrollState;
    private fixedScroll;
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): JSX.Element[];
    createMenuItems(): Array<JSX.Element>;
    createLogo(): any;
    toggleMobileMenu(): void;
    menuClick(ev: any): void;
    setActiveMenuItem(): void;
    moveMenu(): void;
    bodyScroll(): void;
}
